<?php

Route::group(['middleware' => 'web', 'prefix' => 'admin','as' => 'admin'], function()
{
    Route::group(['middleware' => 'web', 'prefix' => 'news', 'namespace' => 'Modules\News\Http\Controllers' , 'as'=>'.news'], function()
    {
        Route::group(['middleware' => 'web', 'prefix' => 'list','as' => '.list' ], function()
        {
            Route::get('/delete','NewsController@destroy');
            Route::get('/','NewsController@index');
            Route::get('/create','NewsController@add')->name('.create');
            Route::post('store', 'NewsController@store')->name('.store');
            Route::get('/edit','NewsController@edit')->name('.edit');
            Route::post('update/{id}', 'NewsController@update')->name('.update');
            Route::get('excel/', 'NewsController@excel')->name('.excel');
        });
    });
});

    Route::group([ 'prefix' => 'news', 'namespace' => 'Modules\News\Http\Controllers','middleware' => 'web'], function()
    {
        Route::get('/', 'NewsController@index');
        Route::get('show', 'NewsController@show');
        Route::get('create', 'NewsController@create');
    });
